
From: Jake Moilanen <moilanen@austin.ibm.com>

Add 970FX entry into the cputable.


---

 arch/ppc64/kernel/cputable.c |    9 +++++++++
 1 files changed, 9 insertions(+)

diff -puN arch/ppc64/kernel/cputable.c~ppc64-970fx arch/ppc64/kernel/cputable.c
--- 25/arch/ppc64/kernel/cputable.c~ppc64-970fx	2004-02-21 20:58:21.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/cputable.c	2004-02-21 20:58:21.000000000 -0800
@@ -126,6 +126,15 @@ struct cpu_spec	cpu_specs[] = {
 	    __setup_cpu_ppc970,
 	    COMMON_PPC64_FW
     },
+    {	/* PPC970FX */
+	    0xffff0000, 0x003c0000, "PPC970FX",
+	    CPU_FTR_SPLIT_ID_CACHE | CPU_FTR_USE_TB | CPU_FTR_HPTE_TABLE |
+	    CPU_FTR_PPCAS_ARCH_V2 | CPU_FTR_ALTIVEC_COMP | CPU_FTR_CAN_NAP,
+	    COMMON_USER_PPC64 | PPC_FEATURE_HAS_ALTIVEC_COMP,
+	    128, 128,
+	    __setup_cpu_ppc970,
+	    COMMON_PPC64_FW
+    },
     {	/* Power5 */
 	    0xffff0000, 0x003a0000, "Power5",
 	    CPU_FTR_SPLIT_ID_CACHE | CPU_FTR_USE_TB | CPU_FTR_HPTE_TABLE |

_
